Loading...
Searching...
No Matches
iofunc.c File Reference

Generic file-based IO functions. More...

`#include <hamlib/rig.h>`
`#include <hamlib/config.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <errno.h>`
`#include <sys/time.h>`
`#include <sys/types.h>`
`#include "iofunc.h"`
`#include "misc.h"`
`#include "serial.h"`
`#include "parallel.h"`
`#include "usb_port.h"`
`#include "network.h"`
`#include "cm108.h"`
`#include "asyncpipe.h"`
Include dependency graph for iofunc.c:

## Macros

#define | HAMLIB_TRACE2 rig_debug(RIG_DEBUG_TRACE,"%s trace(%d)\n", __FILE__, __LINE__)

## Functions

int | port_open (hamlib_port_t *p)
| Open a hamlib_port based on its rig port type.
int | port_close (hamlib_port_t *p, rig_port_t port_type)
| Close a hamlib_port.
int | write_block_sync (hamlib_port_t *p, const unsigned char *txbuffer, size_t count)
int | write_block_sync_error (hamlib_port_t *p, const unsigned char *txbuffer, size_t count)
int | port_flush_sync_pipes (hamlib_port_t *p)
int | write_block (hamlib_port_t *p, const unsigned char *txbuffer, size_t count)
| Write a block of characters to an fd.
int | read_block (hamlib_port_t *p, unsigned char *rxbuffer, size_t count)
| Read bytes from the device directly or from the synchronous data pipe, depending on the device caps.
int | read_block_direct (hamlib_port_t *p, unsigned char *rxbuffer, size_t count)
| Read bytes directly from the device file descriptor.
int | read_string (hamlib_port_t *p, unsigned char *rxbuffer, size_t rxmax, const char *stopset, int stopset_len, int flush_flag, int expected_len)
| Read a string from the device directly or from the synchronous data pipe, depending on the device caps.
int | read_string_direct (hamlib_port_t *p, unsigned char *rxbuffer, size_t rxmax, const char *stopset, int stopset_len, int flush_flag, int expected_len)
| Read a string directly from the device file descriptor.

## Detailed Description

Generic file-based IO functions.